@import 'https://fonts.googleapis.com/css?family=Lato|Unica+One&display=swap';
@import 'https://cdn.jsdelivr.net/npm/hack-font@3/build/web/hack-subset.css';

:root {
  /* FONTS */
  --font-text: Lato, sans-serif;
  --font-headers: Unica One, fantasy;
  --font-code: Hack, monospace;
  /* COLORS */
  --bg: #232323;
  --text: #bbb;
  --text-dark: #666;
  --text-darker: #333;
  --white: #fff;
  --code-bg: #444;
  --blockquote: #999;
  --gradient-primary-start: #fb9832;
  --gradient-primary-end: #fd6f46;
  --gradient-secondary-start: #90ee90;
  --gradient-secondary-end: #add8e6;
}

html {
  font-family: var(--font-text);
  font-size: 18px;
  background-color: var(--bg);
  color: var(--text);
  padding: 5vw;
}

body {
  max-width: 800px;
  margin: 0 auto;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: var(--font-headers);
  color: var(--gradient-secondary-start);
}

code {
  font-family: var(--font-code);
  background-color: var(--code-bg);
  color: var(--white);
  font-size: 90%;
  padding: 2px 5px;
  border-radius: 2px;
}

blockquote {
  font-size: 60%;
  color: var(--blockquote-bg);
  margin-top: 50px;
}

h1 strong,
h2 strong,
h3 strong,
h4 strong,
h5 strong {
  background: linear-gradient(90deg, var(--gradient-primary-start), var(--gradient-primary-end));
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

h2 {
  margin-top: 50px;
}

a,
h1 strong,
h2 strong,
h3 strong,
h4 strong,
h5 strong {
  -webkit-box-decoration-break: clone;
  box-decoration-break: clone;
}

a {
  text-decoration: none;
  font-weight: 700;
  background: linear-gradient(90deg, var(--gradient-secondary-start), var(--gradient-secondary-end));
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  border-bottom: 1px solid var(--gradient-secondary-end);
}

a:hover {
  border-bottom-color: var(--gradient-secondary-start);
}

ul {
  list-style: none;
  padding-left: 0;
  overflow: auto;
}

ul ul {
  padding-left: 3vw;
}

li {
  margin: 5px 0;
}

li:before {
  content: "»";
  padding-right: 8px;
  color: var(--text-dark);
}

li li:before {
  content: "›";
}

h2 {
  margin-bottom: 5px;
}

h2 + p,
h2 + ul {
  margin-top: 5px;
}

#name {
  margin-bottom: 0;
  font-size: calc(5vw + 5vh);
  line-height: 1;
}

#role {
  margin-top: 0;
}

.contact {
  margin: 10px 0;
  color: var(--text);
}

#works + ul em {
  font-size: 70%;
  text-transform: uppercase;
  font-style: normal;
}

#works + ul > li {
  padding-top: 5px;
  padding-bottom: 10px;
  border-bottom: 1px dashed var(--text-darker);
}

#works + ul p {
  display: inline;
}

#works + ul a {
  white-space: nowrap;
}

#works + ul ul {
  font-size: 80%;
  margin: 10px 0;
}

#works + ul code {
  white-space: nowrap;
  font-size: 12px;
}

@media (min-width: 1000px) {
  #skills + ul > li:first-child {
    margin-right: 10%;
  }
  #skills + ul > li {
    float: left;
    width: 45%;
  }
}

#skills + ul > li ul {
  padding-top: 10px;
}

#skills + ul > li li {
  padding-bottom: 8px;
  border-bottom: 1px dashed var(--text-darker);
  clear: both;
}

#skills + ul > li li strong {
  float: right;
  line-height: 1.4;
  background: linear-gradient(90deg, var(--gradient-secondary-start), var(--gradient-secondary-end));
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  -webkit-box-decoration-break: clone;
  box-decoration-break: clone;
}

#skills + ul > li li strong s {
  opacity: 0;
}
